**This is a fork from the original mod:** 

Discard or Recycle Inventory Items 

https://www.nexusmods.com/valheim/mods/45

## Bug Fixes in Version  1.2.0

**GENERATE A NEW CONFIG FILE**

-IMPORTANT CONFIG CHANGES FOR **BETTER ARCHERY MOD** players

-IMPORTANT CONFIG CHANGES FOR **MORE SLOTS** players (or other mods that add extra inventory rows/slots)

(See changelog at bottom)

## This mod recycles items into parts

- Break down (recycle) items on the fly, by drag clicking an item and clicking [Delete]

- Control the percentage (%) of parts returned (in the config)

## Setup
There are important configuration settings if you use one of the following mods.
- Better Archery
- More Slots (or another mod that adds rows to your inventory)

## "Better Archery" Mod Players


Set to 'true' if you're using the Better Archery mod

Setting type: Boolean

Default value: false

**UsingBetterArchery = true**

> Information: Better Archery adds 16 item slots to your total
> inventory, and counts the 3 quiver slots as regular inventory slots,
> even though it can only hold arrows.

## "Extra Slots" Mod Players (+ Better Archery)

The number of inventory rows you're playing with will affect calculations. Default is 4. Some mods add more rows, **so you need to change this here for the mod to work with BetterArchery**. 

#Default value: 4

InventoryRows = 4

> Information: BetterArchery quiver slots are 2 rows below your last inventory row.


## Recycle EpicLoot Enchanted Gear for Magic Parts

#Return resources for Epic Loot enchantments

#Setting type: Boolean

#Default value: true

**ReturnEnchantedResources = true**

## Don't Give Players Coins

When recycling parts, don't give Coins (disable/enable).

It cost Coins to enchant with Epic Loot, so if you recycle an item it will usually return Coins. Some servers and players may not want this. The reason is that it messed up the economy on our server. Items gave back too many coins! We would rather not give any coins.

#Enable/disable coins on recycling items

#Setting type: Boolean

#Default value: false

**RecycleCoins = false**

## Edit the config file
**BepInEx/config/aedenthorn.DiscardInventoryItemCJAYCRAFT-fix.cfg**

Launch the game once to generate the config file and review the options.

If you installed a version before 1.2.0 -- make sure re-generate the config file to get all of the new options.

## Change log
**1.2.0**

 - Fixed a bug that still existed when **Better Archery** was installed because it messes up the available inventory slot calculations. I really hope this is the last fix after spending many hours trial and error. Thank you for your patience this has been really tough. Thank you to mod tester Moniker.

*Programmer Details: Better Archery always add an additional 16 item slots to your inventory (invisible). The 3 quiver slots are always 2 rows below your last inventory row.*

- Fixed a bug when **More Slots** or other inventory row adding mod is installed **with Better Archery at the same time.**

Programmer Details: The "More Slots" rows expands your inventory, and then Better Archery quiver slots are added on a different inventory row from default, and we need to account for this.

**1.1.0**

- Fixed bug where items only recycle if **BetterArchery** is installed.

- Added new config options:

  `UsingBetterArchery = false`

  `BetterArcheryInventoryCount = 16`
  (don't change this unless you absolutely know what

  If using Better Archery mod, set **UsingBetterArchery = True** (false by default)

  Leave **BetterArcheryInventoryCount = 16** alone unless you absolutely know what you're doing. Better Archery seems to add 16 invisible slots, so this is a fix workaround.
  
- Fixed bug where if the empty slots are your first row of inventory, and the rest of your inventory is full, the recycled Items won't be added and are lost. Added error checking so that the empty slots need to be below your first row in the bag in order to recycle.

1.0.4 - fix text formatting in README.md - no mod update

1.0.3 - updated README.md and icon.png - no mod update

1.0.2 - original upload with no known issues

## GitHub

This mod: https://github.com/cjayride/ValheimMods/tree/master/DiscardInventoryItem

Original Mod: https://github.com/aedenthorn/ValheimMods/tree/master/DiscardInventoryItem

## Contact

Twitter: twitter.com/cjayride

Discord: discord.gg/cjayride (find me at the top of the user list) "cjayride"

## Livestreams

IRL: twitch.tv/cjayride

Gaming: twitch.tv/cjaywalk